View Issue Details

IDProjectCategoryView StatusLast Update
0019306LazarusLCLpublic2011-06-22 18:58
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.1 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019306: TStringgrid Custom Inplace Editors dont get First key
Descriptionwhen you use an Custom Inplace Editor (with SelectEditor Event) and AlwaysShowEditor is off, the first key makes the inplace Editor Visible, but the key isnt send to the Editor.
Steps To ReproduceUse the GridCellEditor Example,
switch AlwaysShowEditor off in the options,
Start the Application
go to the 3. Column (Inplace Combobox)
type something, the first key is always not there
TagsNo tags attached.
Fixed in Revision31325
LazTarget0.99.0
WidgetsetGTK 2
Attached Files

Activities

Vojtech Cihak

2011-05-07 17:21

reporter   ~0048112

I can confirm with Lazarus 0.9.31 r30511M FPC 2.5.1 x86_64-linux-qt

Zeljan Rikalo

2011-05-07 20:11

developer   ~0048122

So it's grids problem, not widgetset I guess.

Christian

2011-05-09 23:11

reporter   ~0048167

Yes i think so, the DBGrid seems to not have this issue. So jesus please check the dbgrid after you fix this i think tehrs an special handling ...

Jesus Reyes

2011-06-22 05:55

developer   ~0049275

Fixed for TCustomEdit and TCustomCheckbox descendant editors, only external editors that do not implement GM_XXXX messages are affected, this is why internal editors in dbgrid (and stringgrid) work fine.

But this fix is limited, if a key can be introduced through postmessage (or something like this) as in windows, it could be made generic, see TWin32WSCustomGrid.SendCharToEditor in win32wsgrids.pp

Christian

2011-06-22 18:58

reporter   ~0049308

perfect, thanks.

Issue History

Date Modified Username Field Change
2011-05-07 11:55 Christian New Issue
2011-05-07 11:55 Christian Widgetset => GTK 2
2011-05-07 17:21 Vojtech Cihak Note Added: 0048112
2011-05-07 20:11 Zeljan Rikalo Note Added: 0048122
2011-05-07 21:10 Zeljan Rikalo Status new => assigned
2011-05-07 21:10 Zeljan Rikalo Assigned To => Jesus Reyes
2011-05-09 23:11 Christian Note Added: 0048167
2011-06-22 05:55 Jesus Reyes Fixed in Revision => 31325
2011-06-22 05:55 Jesus Reyes LazTarget => 0.99.0
2011-06-22 05:55 Jesus Reyes Status assigned => resolved
2011-06-22 05:55 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-06-22 05:55 Jesus Reyes Resolution open => fixed
2011-06-22 05:55 Jesus Reyes Note Added: 0049275
2011-06-22 05:55 Jesus Reyes Target Version => 0.99.0
2011-06-22 18:58 Christian Status resolved => closed
2011-06-22 18:58 Christian Note Added: 0049308